package com.pnkx.designpatterns.builder;

/**
 * Builder
 *
 * @author 裴浩宇
 * @version 1.0
 * @date 2023/10/27 14:23
 * @description 建造者
 */
public abstract class Builder {

    // 车
    protected Car car = new Car();

    /**
     * 建造发动机
     */
    public abstract void buildEngine();

    /**
     * 建造轮胎
     */
    public abstract void buildTire();

    /**
     * 建造座位
     */
    public abstract void buildSeat();

    /**
     * 获取车
     * @return 车
     */
    public Car getCar() {
        return car;
    }
}
